Problem z instalacją drukarki HP Deskjet F4210 Al-in-One

Dostałem w prezencie drukarkę HP Deskjet F4210 Al-in-One. Mam problem z jej zainstalowaniem. Dzięki “HP Device Manager - Setup” (graficzna nakładka instalatora, chyba) udaje mi się przejść 2 kroki, efektem czego jest

. Klikam “Next” i moim pięknym oczom ukazuje się . Niestety, tam gdzie jest żółty pasek, pliki PPD, gdzie można wybierać modele drukarek, mojego modelu akurat nie ma :frowning:
Oczywiście hplip zainstalowane.

Czy ktoś się spotkał z podobnym problemem? Jeszcze spróbuję w Win XP albo coś z Wine pokombinuję.

Poczytaj:

https://wiki.archlinux.org/index.php/CUPS/Printer-specific_problems#HPLIP

Masz bardzo wyraźną wskazówkę, co robić.

@ Piaskun, dziękuję. Niestety, wskazówka mi nic a nic nie pomogła. Eksperymentowałem z tym i owym i na nic. Tylko po co piszą, że wspierają, skoro hp-deskjet-f4210-series.ppd.gz nigdzie nie ma. Cups nie jest pomocny.
Nie widzę tam żadnych wzkazówek.

Na Win XP nie sprawdzę, bo co chwila niebieski ekran wywala, z Wine odniosłem porażkę.

Teraz spróbuję jeszcze z Win7. Mam je na drugim lapku, gdzie coś nie tak jest z matrycą. Muszę więc podłączać monitor zewnętrzny za każdym razem, co jest mocno kłopotliwe. Dlatego też jeżeli coś znowu będę próbował majstrować, to w weekend dopiero.

Zainstalowałeś hplip-plugin z AUR? U mnie było identycznie - i po zainstalowaniu hplip-plugin drukarka od kilku lat działa perfekcyjnie.

Niestety, przy budowaniu wyskakuje błąd i to już na samym początku:

Przygotowywanie…
Kopiowanie hplip-plugin plików kompilacji…
Sprawdzanie hplip-plugin zależności…

Budowanie hplip-plugin…
==> Tworzenie pakietu: hplip-plugin 3.19.5-1 (wto, 18 cze 2019, 21:06:46)
==> Sprawdzanie zależności potrzebnych do uruchomienia…
==> Sprawdzanie zależności potrzebnych do budowy…
==> Pobieranie źródeł…
-> Znaleziono hplip-3.19.5-plugin.run
==> Sprawdzanie plików source za pomocą md5sums…
hplip-3.19.5-plugin.run … Zgadza się
==> Usuwanie istniejącego katalogu $srcdir/…
==> Rozpakowywanie źródeł…
==> Rozpoczynanie prepare()…
==> Usuwanie istniejącego katalogu $pkgdir/…
==> Wchodzenie do środowiska fakeroot…
==> Rozpoczynanie package()…
/var/tmp/pamac-build-me/hplip-plugin/PKGBUILD: linia 23: cd: /var/tmp/pamac-build-me/hplip-plugin/src/hplip-3.19.5-plugin: Nie ma takiego pliku ani katalogu
==> BŁĄD: Wystąpił błąd w package().
Przerywam…

Kombinowałem w podobny sposób już wcześniej. Z równie marnym skutkiem.Dziękuję za chęć pomocy,

Buduję to bezpośrednio z AUR z makepkg i problemów nie miałem nigdy.

wejdź na https://aur.archlinux.org/packages/hplip-plugin/ pobierz migawkę ( snapshot ) do jakiego katalogu np: hplip-plugin potem wejdź do niego jako user w terminalu:

cd hplip-plugin/

potem

updpkgsums && makepkg -sirc 

i zobacz czy się zbuduje…


osobiście jak muszę coś z AUR wziąć np: ( xastir - program krótkofalarski )
to zawsze tak buduję jw. i nigdy problemów krusader-git tak samo buduję…

@piespawlowa
Jeżeli masz problem z budową, to wejdź tutaj i pobierz tą paczkę stąd
http://wrzucplik.pl/pokaz/1768548---icly.html

I zainstaluj poleceniem
sudo pacman -U hplip-plugin-3.19.5-1-x86_64.pkg.tar.xz
Tak jak na screenie

Ta paczka jest zbudowana z AUR
https://aur.archlinux.org/packages/hplip-plugin/

Ten plik powisi tylko do jutra.
PS.
Paczka już została usunięta z serwera.

Prekompilowany pakiet jest w repo archlinuxcn ale odradzam używanie takich repozytoriów w Manjaro.

Udało mi się zainstalować hplip - jest w /usr/share/hplip m.in. Nie bardzo wiem co dalej…

Bierzesz @robson75 odpowiedzialność za pakiety dystrybuowane w ten sposób i zapewniasz wsparcie?

@azja
I po kiego te złośliwości, chciałem po prostu pomóc @piespawlowa w budowie paczki hplip-plugin bo jego Manjaro nie dawało rady. (dlaczego mnie to nie dziwi)

@robson75 -> nie oceniaj innych podług siebie (to jest złośliwość) - to nie była złośliwość, tylko zwrócenie uwagi na potencjalnie niebezpieczny problem, czyli instalowanie pakietów niewiadomego pochodzenia oraz ich dalszy los. Twoje dobre chęci nie mają tutaj nic do rzeczy.

Jakiego niewiadomego pochodzenia? Przecież wyraźnie napisałem że paczka była budowana z PKGBUILD z AUR czyli stąd
https://aur.archlinux.org/packages/hplip-plugin/

A tak w ogóle to ja […] takie forum, proszę zbanuj mnie, co tam uważasz.

@robson75
PROSZĘ przestań się obrażać - bo z mojego własnego przykrego doświadczenia z Polskiego Forum Minta - tam to byś był BARDZO MOCNO obrażany. Z forum linuxowych - Forum Manjaro wydaje mi się najbardziej ludzkie.

Co dalej? Po prostu znowu spróbuj skonfigurować tak jak poprzednio.

@ Piaskun, niestety, deskjet-f4210 nie pojawiło się. Chyba, że to jakoś inaczej się instaluje.
Nie wiem po co piszą, że wspierają mój model, skoro wspierają go tak średnio…

Hmmm, masz jak byk:
hp-deskjet_f4200_series.ppd.gz

Poszukałem na stronie hplip i mają tam kilka sposobów na to. Najprostszy to wziąć numer najbliższy twojej drukarce, czyli w twoim przypadku DeskJet f4200, dokładnie tak jak radzi @azja. Jeśli to nie zadziała to kombinujesz według tego co tam piszą.